Bug 76580 - [chromium] Layout Test media/media-document-audio-repaint.html is flaky
Summary: [chromium] Layout Test media/media-document-audio-repaint.html is flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ami Fischman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-18 15:18 PST by James Robinson
Modified: 2012-02-14 12:12 PST (History)
5 users (show)

See Also:


Attachments
Patch (3.10 KB, patch)
2012-02-13 16:31 PST, Ami Fischman
no flags Details | Formatted Diff | Diff
Patch (3.67 KB, patch)
2012-02-13 21:52 PST, Ami Fischman
no flags Details | Formatted Diff | Diff
Patch (3.67 KB, patch)
2012-02-14 09:04 PST, Ami Fischman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2012-01-18 15:18:01 PST
The following layout test is flaky on chromium:

media/media-document-audio-repaint.html


In webkit_tests looks flaky on chromium mac debug:
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=media%2Fmedia-document-audio-repaint.html

In webkit_gpu_tests looks the most flaky on linux:
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20GPU%20Mesa%20-%20chromium.org&tests=media%2Fmedia-document-audio-repaint.html
Comment 1 Ami Fischman 2012-02-06 11:24:54 PST
I bet this is fallout from http://crrev.com/116702 after which we don't have GPU compositing turned on for audio-only mediadocuments.

@imasaki: can you rebaseline?
Comment 2 Ami Fischman 2012-02-13 16:31:50 PST
Created attachment 126863 [details]
Patch
Comment 3 Ami Fischman 2012-02-13 16:32:54 PST
JamesR: does this look right to you?

(I realized my comment #1 is wrong; rebaselining isn't enough b/c different runs produce different output; I believe the reason is that the lTC.display() call is being made at an underspecified point).
Comment 4 Ami Fischman 2012-02-13 17:50:40 PST
Comment on attachment 126863 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=126863&action=review

> LayoutTests/media/media-document-audio-repaint.html:19
>          }, 100)

Umm, hold off reviewing.  This is craxy.
Comment 5 James Robinson 2012-02-13 20:40:11 PST
Comment on attachment 126863 [details]
Patch

Try taking a look at fast/repaint/resources/repaint.js
Comment 6 Ami Fischman 2012-02-13 21:52:04 PST
Created attachment 126906 [details]
Patch
Comment 7 James Robinson 2012-02-13 22:07:33 PST
Comment on attachment 126906 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=126906&action=review

R=me except for an errant character in the test

> LayoutTests/media/media-document-audio-repaint.html:21
> +        var videoElement = document.getElementById("fr").contentDocument.querySelector("video");w

trailing 'w' on this line. i'm guessing your editor is vim?
Comment 8 Ami Fischman 2012-02-14 09:04:20 PST
Created attachment 126986 [details]
Patch
Comment 9 Ami Fischman 2012-02-14 09:05:39 PST
> R=me except for an errant character in the test

webkit etiquette q: do I wait for another r+ from you on the updated patch in this sort of situation, or do I commit on the strength of your previous r+?

> > LayoutTests/media/media-document-audio-repaint.html:21
> > +        var videoElement = document.getElementById("fr").contentDocument.querySelector("video");w
> 
> trailing 'w' on this line. 

Gone.

> i'm guessing your editor is vim?

Nope, making this even stranger :)
Comment 10 WebKit Review Bot 2012-02-14 09:05:42 PST
Attachment 126986 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: [Mac][Win][WK2] Switch to RFC 6455 protocol for WebSockets
Using index info to reconstruct a base tree...
<stdin>:1578: trailing whitespace.
        
<stdin>:1647: trailing whitespace.
    
<stdin>:1657: trailing whitespace.
    
<stdin>:1672: trailing whitespace.
        return 0;        
<stdin>:1674: trailing whitespace.
    
warning: squelched 7 whitespace errors
warning: 12 lines add whitespace errors.
Falling back to patching base and 3-way merge...
warning: too many files (created: 168776 deleted: 3), skipping inexact rename detection
Auto-merging LayoutTests/ChangeLog
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Auto-merging Source/WebKit2/ChangeLog
CONFLICT (content): Merge conflict in Source/WebKit2/ChangeLog
Auto-merging Tools/ChangeLog
CONFLICT (content): Merge conflict in Tools/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 [Mac][Win][WK2] Switch to RFC 6455 protocol for WebSockets

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Ami Fischman 2012-02-14 09:27:24 PST
(note style bot borkage is unrelated to this patch)
Comment 12 James Robinson 2012-02-14 10:59:46 PST
(In reply to comment #9)
> > R=me except for an errant character in the test
> 
> webkit etiquette q: do I wait for another r+ from you on the updated patch in this sort of situation, or do I commit on the strength of your previous r+?
> 

WebKit etiquette is that a r+ cq- with minor comments means that the reviewer is fine with you landing the patch without going another review round.  webkit-patch land-safely makes this pretty easy if you still want to use the commit queue.
Comment 13 WebKit Review Bot 2012-02-14 12:12:07 PST
Comment on attachment 126986 [details]
Patch

Clearing flags on attachment: 126986

Committed r107721: <http://trac.webkit.org/changeset/107721>
Comment 14 WebKit Review Bot 2012-02-14 12:12:12 PST
All reviewed patches have been landed.  Closing bug.